package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-14
 * @description : 游戏小程序信息
 */
@Data
public class GameAppletDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 小程序appId
     */
    private String appId;

    /**
     * 小程序原始id
     */
    private String ghId;

    /**
     * 小程序名称
     */
    private String appName;

    /**
     * 小程序密钥
     */
    private String appSecret;

    /**
     * 米大师配置
     */
    private String miPayConfig;

    /**
     * 消息推送配置
     */
    private String msgConfig;

    /**
     * 公司主体信息
     */
    private String company;

    /**
     * 登录账号
     */
    private String account;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 管理员微信
     */
    private String managerVx;

    /**
     * 备注
     */
    private String remark;
}
